### Method

# Gtk TextIterset_line_offset

#### Declaration [src]

    void
    gtk_text_iter_set_line_offset (
      GtkTextIter* iter,
      int char_on_line
    )

#### Description [src]

Moves `iter` within a line, to a new character (not byte) offset.

The given character offset must be less than or equal to the number of characters in the line; if equal, `iter` moves to the start of the next line. See `gtk_text_iter_set_line_index()` if you have a byte index rather than a character offset.

#### Parameters

`char_on_line`

  Type: `int`

  A character offset relative to the start of `iter`’s current line.